%define anolis_release 2

Summary:       Client library USB multiplex daemon for Apple's iOS devices
Name:          libusbmuxd
Version:       2.0.2
Release:       %{anolis_release}%{?dist}

License:       LGPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       https://github.com/libimobiledevice/%{name}/archive/%{version}.tar.gz

BuildRequires:  autoconf automake gcc libtool make
BuildRequires:  libplist-devel >= 2.2.0

%description
%{name} is a cross-platform software library that talks the protocols
to interact with iOS devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking.

%package utils
Summary: Utilities for communicating with Apple's iOS devices
License: GPLv2+
Requires: %{name} = %{version}-%{release}

%description utils
%{name} is a cross-platform software library that talks the protocols
to interact with iOS devices.

This package contains utilities for Apple's iOS devices

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: usbmuxd-devel < 1.0.9

%description devel
%{name} is a cross-platform software library that talks the protocols
to interact with iOS devices.

This package contains files for development with %{name}.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
%{name} is a cross-platform software library that talks the protocols
to interact with iOS devices.

This package contains documentation for %{name}.

%prep
%setup -q

NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -type f -name "*.la" -delete

%check
make check

%files
%license COPYING
%doc README.md
%{_libdir}/libusbmuxd-2.0.so.*

%files utils
%{_bindir}/iproxy
%{_bindir}/inetcat
%{_mandir}/man1/*

%files devel
%{_includedir}/usbmuxd*
%{_libdir}/pkgconfig/libusbmuxd-2.0.pc
%{_libdir}/libusbmuxd-2.0.so

%files doc
%doc NEWS AUTHORS

%changelog
* Wed Apr 12 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.0.2-2
- optimize spec file

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.2-1
- Init from upstream version 2.0.2
